/*
 Theme Name:   GMB Bricks Child
 Theme URI:    https://gmb.digital/
 Description:  Used to extend the Bricks theme.
 Author:       The Team @ Grow My Business
 Author URI:   https://gmb.digital/about
 Template:     bricks
 Version:      1.1
 Text Domain:  gmb
*/


/*
 * Prevent Horizontal Overflow
 */

html {
	height: 100%;
}

body {
	min-height: 100%;
	overflow-x: hidden;
}

section.brxe-section {
    overflow-x: clip;
}

/*
 * Prevent content of elements with ratio class from stretching (e.g. images)
 */
[class*="ratio-"] {
    object-fit: cover;
    object-position: center;
}

/*
 * Prevent buttons inner text and the nav menu items from wrapping
 */
.brxe-button,
.nav-menu {
    white-space: nowrap;
}

/*
 * Set 'scroll to' offset for elements with ids (for in-page linking)
 */
[id] {
    scroll-margin-top: calc(var(--spacing-lrg) * 1.5);
}

/*
 * Set content within .has-bg-image elements to z-index 2
 */
.has-bg-image > *:not(.bg-image) {
    z-index: 2;
}

/*
 * List Styles
 */
.brxe-text ul {
    padding-left: 2em;
}

.brxe-text ul li:not(:last-child) {
    margin-bottom: 0.3em;
}

/*
 * Enable overflow for shadows on table of contents
 */
.brxe-post-toc {
  overflow: visible;
}

/*
 * Gravity Forms Styles
 */

.gform_wrapper form {
    --btn-bg-color: var(--color-primary);
    --btn-text-color: var(--color-light);
    --text-color: var(--color-dark);
    --border-color: var(--color-light-grey);
    --field-bg-color: transparent;
    --border-radius: var(--border-radius-sml);
    --border-width: 0.1rem;
}

.gform_wrapper  form.light,
.light-form .gform_wrapper form {
    --btn-bg-color: var(--color-primary);
    --btn-text-color: var(--color-light);
    --text-color: var(--color-dark);
    --border-color: var(--color-light);
    --field-bg-color: var(--color-light);
}

.gform_wrapper input,
.gform_wrapper textarea,
.gform_wrapper select {
    background: var(--field-bg-color);
    color: #fff;
    border: var(--border-width) solid var(--border-color);
    padding: 1.2rem 1.6rem !important;
    border-radius: var(--border-radius);
    color: var(--text-color);
    line-height: 2rem;
	font-size: var(--font-size-base) !important;
}

.gform_wrapper.gravity-theme label.gfield_label {
    font-size: 0.9em;
    font-weight: 500;
    color: var(--color-dark);
    margin-bottom: 0.4rem;
}

.gform_wrapper select {
    appearance: none;
    -webkit-appearance: none;
    background-size: 1rem auto;
    background-position: right 1rem top 50%;
    background-repeat: no-repeat;
    background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIiIGhlaWdodD0iOCIgdmlld0JveD0iMCAwIDEyIDgiIGZpbGw9Im5vbmUiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+CjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMF8xOTVfMTczOCkiPgo8cGF0aCBkPSJNMSAxLjVMNiA2LjVMMTEgMS41IiBzdHJva2U9IiMyMTIxMjEiIHN0cm9rZS13aWR0aD0iMiIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+CjwvZz4KPGRlZnM+CjxjbGlwUGF0aCBpZD0iY2xpcDBfMTk1XzE3MzgiPgo8cmVjdCB3aWR0aD0iMTIiIGhlaWdodD0iOCIgZmlsbD0id2hpdGUiLz4KPC9jbGlwUGF0aD4KPC9kZWZzPgo8L3N2Zz4K);
}

.gform_wrapper  form.light select,
.light-form .gform_wrapper form select {
    background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIiIGhlaWdodD0iOCIgdmlld0JveD0iMCAwIDEyIDgiIGZpbGw9Im5vbmUiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+CjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMF8xOTVfMTczOCkiPgo8cGF0aCBkPSJNMSAxLjVMNiA2LjVMMTEgMS41IiBzdHJva2U9IiNmZmYiIHN0cm9rZS13aWR0aD0iMiIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+CjwvZz4KPGRlZnM+CjxjbGlwUGF0aCBpZD0iY2xpcDBfMTk1XzE3MzgiPgo8cmVjdCB3aWR0aD0iMTIiIGhlaWdodD0iOCIgZmlsbD0id2hpdGUiLz4KPC9jbGlwUGF0aD4KPC9kZWZzPgo8L3N2Zz4);
}

.ginput_complex span {
    display: block !important;
}

.gform_wrapper input::placeholder,
.gform_wrapper textarea::placeholder,
.gform_wrapper select:not(:focus) {
    color: color-mix(in srgb, var(--text-color), transparent 40%);
}

body .gform_wrapper input:not([type="submit"]):not([type="button"]):focus,
body .gform_wrapper textarea:focus {
    border-color: var(--text-color) !important;
	color: var(--text-color) !important;
    outline: none;
}

.gform_wrapper input[type="submit"] {
	width: 100%;
}

.gform_wrapper input[type="submit"],
.gform_wrapper input[type="button"] {
    background: var(--btn-bg-color);
    color: var(--btn-text-color);
    border: none;
    
	font-weight: 500;
    text-align: center;
    padding: 2rem 3rem !important;
    
    cursor: pointer;
    transition: background-color 200ms ease;
}

.gform_wrapper input[type="submit"]:hover,
.gform_wrapper input[type="button"]:hover {
    background: color-mix(in srgb, var(--btn-bg-color), var(--color-dark) 10%);
}

.gform_required_legend,
.gform_wrapper .gform_heading {
	display: none;
}

.gform_wrapper .gform_footer {
    padding-bottom: 0 !important;
}

.gform_wrapper .gform_footer input {
    margin-bottom: 0 !important;
}

.gform_wrapper .gfield--type-html {
    font-size: 0.85em;
}

.gform_ajax_spinner {
    margin-left: 2rem;
}

.gfield_validation_message {
    display: none;
}

select.light option,
.light-form select option {
    background-color: var(--btn-bg-color);
    color: var(--btn-text-color);
}

/* WooCommerce */

.woocommerce-notices-wrapper {
    position: fixed;
    left: var(--content-padding);
    right: var(--content-padding);
	width: auto !important;
	font-weight: 500;
    z-index: 999;
    top: var(--header-height) + var(--spacing-sml);
}

.woocommerce-notices-wrapper a.button {
    border-radius: var(--border-radius-med);
    font-weight: 500 !important;
    padding: 0.75rem 2rem !important;
}

.woocommerce-message {
    border-radius: var(--border-radius-med);
}

/* Gradient Text */
.gradient-text {
    position: relative;
    background: linear-gradient(-120deg, var(--color-dark) -10%, var(--color-secondary), #dac6be, var(--color-primary) 90%);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
}

/* Loading Animation */
.brx-loading-animation {
    grid-column: 1 / -1;
}

/* Fix Nested Splide Arrows */
.brxe-slider-nested .splide__arrows:not(.custom) .splide__arrow {
    z-index: 999;
    opacity: 0;
}

/* Full Width Date Field GF */
.gform_wrapper.gravity-theme .ginput_container_date input {
	width: 100%;
}


/* Styling WooCommerce Checkout Fields */

#installation_assembly_field span, #delivery_service_field span, #furniture_disposal_field span, #quote_copy_email_field span {
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
}

#installation_assembly_field span label, #delivery_service_field span label, #furniture_disposal_field span label, #quote_copy_email_field span label {
	margin-right: 30px;
	margin-bottom: 0px;
}

#installation_assembly_field span input,  #delivery_service_field span input, #furniture_disposal_field span input, #quote_copy_email_field span input {
	margin-right: 10px;
}

.cart-subtotal, .woocommerce-shipping-totals, .order-total, .product-total, #order_review_heading, .woocommerce-billing-fields h3:first-child, #ship-to-different-address, .woocommerce-form-coupon-toggle, .payment_method_cod, .woocommerce-order-overview__payment-method method, .woocommerce-table--order-details tfoot, .woocommerce-order-overview__payment-method {
	display: none !important;
}

.gmb-quote-form .woocommerce-checkout {
	gap: 50px !important;
}

.woocommerce-checkout input, .woocommerce-checkout textarea, .woocommerce-checkout .select2-selection--single {
	border: 1px #e3d4ce solid !important;
	border-radius: 0.5rem !important;
	background-color: rgba(0,0,0,0) !important;
}

.woocommerce-checkout input::placeholder, .woocommerce-checkout textarea::placeholder {
	color: #6f7475;
}

.woocommerce-checkout button {
/* 	background-color: #F39682 !important;
	color: #fff !important;
	border-radius: 3px !important; */
}

.woocommerce-cart-form button {
	background-color: #F39682 !important;
	color: #fff !important;
	border-radius: 1rem !important;
	padding: 10px 30px !important;
	transition: 0.2s ease-in-out background-color;
	font-size: 16px !important;
	font-weight: 400 !important;
	line-height: 20px !important;
}

.woocommerce-checkout .gmb-quote-form button {
	background-color: #F39682 !important;
	color: #fff !important;
	border-radius: 3px !important;
	padding: 0px !important;
	transition: 0.2s ease-in-out background-color;
	font-size: 16px !important;
	font-weight: 400 !important;
	line-height: 20px !important;
}

.woocommerce-checkout .gmb-quote-form button:hover {
	background-color: #dc8a78;
}

.woocommerce-checkout .gmb-quote-form label {
	font-weight: 400 !important;
}

.woocommerce-checkout-review-order-table {
	border-radius: 0.5rem !important;
}

.gmb-quote-form .woocommerce-checkout .shop_table tbody td {
	border-bottom: none !important;
}

.widget_shopping_cart_content {
    color: var(--color-dark) !important;
}

.scrolling i.ti-shopping-cart::before {
    color: #fff !important;
}

/* .hs-cookie-notification-position-bottom {
	background-color: #0f2023 !important;
	color: #fff !important;
}

.hs-cookie-notification-position-bottom a {
	background-color: #f39682 !important;
	color: #fff !important;
} */

/*
 * Hide Figcaptions by default
 */
figcaption {
	display: none;
}

/*
 * Creates Gap When Empty
 */
.woocommerce-checkout .woocommerce-shipping-fields {
	margin: 0 !important;
}

.mailchimp-newsletter {
	margin-top: 40px;
}

#order_comments_field {
	width: 100%;
}